## javax.servlet
Interface Registration.Dynamic

All Superinterfaces:
  Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic, ServletRegistration.Dynamic

Enclosing interface:
  Registration

    public static interface Registration.Dynamic

extends Registration

Interface through which a `Servlet` or `Filter` registered via one of the `addServlet` or `addFilter` methods, respectively, on `ServletContext` may be further configured.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.Registration
`Registration.Dynamic`

Method Summary
`void` `setAsyncSupported(boolean isAsyncSupported)` Configures the Servlet or Filter represented by this dynamic Registration as supporting asynchronous operations or not.

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### setAsyncSupported

    void setAsyncSupported(boolean isAsyncSupported)

  Configures the Servlet or Filter represented by this dynamic Registration as supporting asynchronous operations or not.

  By default, servlet and filters do not support asynchronous operations.

  A call to this method overrides any previous setting.

  Parameters:
    `isAsyncSupported` - true if the Servlet or Filter represented by this dynamic Registration supports asynchronous operations, false otherwise
  Throws:
    `IllegalStateException` - if the ServletContext from which this dynamic Registration was obtained has already been initialized

Copyright © 2012 GlassFish Community. All Rights Reserved.